import About from "./modules/About";
import App from "./modules/App";
import React from "react";
import Repos from "./modules/Repos";
import Repo from "./modules/Repo";
import { render } from "react-dom";
import { Router, Route, hashHistory } from "react-router";

render((
  <Router history={hashHistory}>
    <Route path="/" component={App}>
      <Route path="/repos" component={Repos}>
        <Route path="/repos/:userName/:repoName" component={Repo} />
      </Route>
      <Route path="/about" component={About} />
    </Route>
  </Router>
  ), document.getElementById("app"));
